Index: src/fl_font_xft.cxx
===================================================================
--- src/fl_font_xft.cxx	(revision 10621)
+++ src/fl_font_xft.cxx	(working copy)
@@ -336,7 +336,7 @@
 
 Fl_Font_Descriptor::~Fl_Font_Descriptor() {
   if (this == fl_graphics_driver->font_descriptor()) fl_graphics_driver->font_descriptor(NULL);
-//  XftFontClose(fl_display, font);
+  XftFontClose(fl_display, font);
 }
 
 /* decodes the input UTF-8 string into a series of wchar_t characters.
Index: test/rotated_text.cxx
===================================================================
--- test/rotated_text.cxx	(revision 10621)
+++ test/rotated_text.cxx	(working copy)
@@ -38,6 +38,30 @@
 Fl_Hor_Value_Slider *angles;
 Fl_Double_Window *window;
 
+
+#include "config.h"
+#include <src/Fl_Font.H>
+
+void delete_rotated_font(Fl_Font num, int angle, int size)
+{
+#if defined(USE_X11) && defined(USE_XFT)
+  Fl_Fontdesc *font = fl_fonts + num;
+  Fl_Font_Descriptor *f = font->first, *previous = NULL;
+  while (f) {
+    if (f->size == size && f->angle == angle) break;
+    previous = f;
+    f = f->next;
+  }
+  if (!f) return;
+  if (!previous) {
+    font->first = f->next;
+  } else {
+    previous->next = f->next;
+  }
+  delete f;
+#endif
+}
+
 //code taken from fl_engraved_label.cxx
 class Rotated_Label_Box : public Fl_Widget{
   protected:
@@ -127,6 +151,7 @@
   window->redraw();
 }
 void angle_cb(Fl_Widget *,void *) {
+  delete_rotated_font(text->labelfont(), text->rt_angle, text->labelsize());
   text->rt_angle=(int)angles->value();
   window->redraw();
 }
